summaryrefslogtreecommitdiffstats
path: root/Doc/tools
diff options
context:
space:
mode:
authorFred Drake <fdrake@acm.org>2004-06-17 22:04:17 (GMT)
committerFred Drake <fdrake@acm.org>2004-06-17 22:04:17 (GMT)
commit964c798a94a77eda6cc61f7530d71b8c32f25a3e (patch)
treec577be30f17764e694abe8728bcad1f3a9553034 /Doc/tools
parent3706855d118cd8f7b1bd0748ee79411f01710eff (diff)
downloadcpython-964c798a94a77eda6cc61f7530d71b8c32f25a3e.zip
cpython-964c798a94a77eda6cc61f7530d71b8c32f25a3e.tar.gz
cpython-964c798a94a77eda6cc61f7530d71b8c32f25a3e.tar.bz2
Use getopt where possible, so this supports option letters that get
jammed together on thos platforms.
Diffstat (limited to 'Doc/tools')
-rwxr-xr-xDoc/tools/push-docs.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/Doc/tools/push-docs.sh b/Doc/tools/push-docs.sh
index 294254a..c124f8b 100755
--- a/Doc/tools/push-docs.sh
+++ b/Doc/tools/push-docs.sh
@@ -29,7 +29,16 @@ fi
EXPLANATION=''
ANNOUNCE=true
-# XXX Should use getopt(1) here.
+getopt -T >/dev/null
+if [ $? -eq 4 ] ; then
+ # We have a sufficiently useful getopt(1) implementation.
+ set -- `getopt -ssh m:p:qt:F: "$@"`
+else
+ # This version of getopt doesn't support quoting of long options
+ # with spaces, so let's not rely on it at all.
+ :
+fi
+
while [ "$#" -gt 0 ] ; do
case "$1" in
-m)